## ros-one-agni-tf-tools 0.1.6-4jammy.20251027.2120

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(agni_tf_tools)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  roscpp
  rviz
  tf2_geometry_msgs
  tf2_ros
)

message(STATUS "Using Qt ${rviz_QT_VERSION}")
find_package(Qt5 ${rviz_QT_VERSION} REQUIRED Core Widgets)
set(QT_LIBRARIES Qt5::Widgets)
find_package(Eigen3 REQUIRED)

## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS program_options)

include_directories(SYSTEM ${EIGEN3_INCLUDE_DIRS} ${BOOST_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES agni_tf_tools
CATKIN_DEPENDS roscpp rviz
#  DEPENDS system_lib
)

## QT stuff
# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

add_subdirectory(src)

install(FILES
  plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== src/CMakeLists.txt ===
# static_transform_publisher
add_executable(${PROJECT_NAME}_static_transform_publisher
  static_transform_broadcaster_program.cpp
)
target_link_libraries(${PROJECT_NAME}_static_transform_publisher
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)
set_target_properties(${PROJECT_NAME}_static_transform_publisher
  PROPERTIES OUTPUT_NAME static_transform_publisher
)

## QT stuff ##
# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct cmake to run moc automatically when needed
set(CMAKE_AUTOMOC ON)

add_subdirectory(common)
include_directories(common)

# static_transform_publisher_gui
add_executable(${PROJECT_NAME}_static_transform_publisher_gui
  static_transform_publisher_gui.cpp
)
target_link_libraries(${PROJECT_NAME}_static_transform_publisher_gui
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${PROJECT_NAME}
  ${QT_LIBRARIES}
)
set_target_properties(${PROJECT_NAME}_static_transform_publisher_gui
  PROPERTIES OUTPUT_NAME static_transform_publisher_gui
)

# rviz plugin lib
add_subdirectory(plugin)

# Install rules
install(TARGETS
  ${PROJECT_NAME}_static_transform_publisher
  ${PROJECT_NAME}_static_transform_publisher_gui
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== src/common/CMakeLists.txt ===
set(CMAKE_AUTOUIC ON)

add_library(${PROJECT_NAME} STATIC
   EulerWidget.cpp
   TransformWidget.cpp
   FramesWidget.cpp
   TransformBroadcaster.cpp
   ${UI_SOURCES}
)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${QT_LIBRARIES})

set_target_properties(${PROJECT_NAME} PROPERTIES
   POSITION_INDEPENDENT_CODE ON
)

=== src/plugin/CMakeLists.txt ===
add_library(${PROJECT_NAME}_plugins MODULE
  TransformPublisherDisplay.cpp
  euler_property.cpp
  rotation_property.cpp
  plugin_init.cpp
)

## Add cmake target dependencies of the executable
## same as for the library above
# add_dependencies(${PROJECT_NAME}_plugins ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}_plugins ${PROJECT_NAME} ${catkin_LIBRARIES})

set_target_properties(${PROJECT_NAME}_plugins
  PROPERTIES OUTPUT_NAME ${PROJECT_NAME}
)

# Install rules
install(TARGETS
  ${PROJECT_NAME}_plugins
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(FILES euler_property.h rotation_property.h
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-one-agni-tf-tools (0.1.6-4jammy.20251027.2120) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 27 Oct 2025 21:20:49 +0000

ros-one-agni-tf-tools (0.1.6-0jammy) jammy; urgency=high

  * Remove setStatus() variants
  * Cancel TF request if not needed anymore
  * Fix issue when publishing an unknown parent transform
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 14 Jul 2021 00:00:00 -0000

ros-one-agni-tf-tools (0.1.5-0jammy) jammy; urgency=high

  * Replace string-based SIGNALs with function pointers
  * Always show marker type property
  * EulerProperty: use QDoubleSpinBoxes (allowing animated motion)
  * Display: Fix several issues with frame updates
    * Always consider return value of fillPoseStamped() and don't publish on failure
    * On failure, register to TF changes to retry later
    * Finish tf2 transition: use tf2::BufferCore instead of tf::Transformer
  * Handle multiple TransformBroadcasters in the same ROS node.
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Apr 2020 00:00:00 -0000

ros-one-agni-tf-tools (0.1.4-0jammy) jammy; urgency=high

  * migration to tf2
  * modernize code
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 27 Mar 2020 00:00:00 -0000

ros-one-agni-tf-tools (0.1.3-0jammy) jammy; urgency=high

  * remove superfluous marker_node_
  * avoid spurious tf messages when display was saved in disabled state
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 27 Mar 2020 00:00:00 -0000

ros-one-agni-tf-tools (0.1.2-0jammy) jammy; urgency=high

  * fix compiler warnings
  * cmake: cleanup, correctly announce exported lib
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 07 Jun 2019 00:00:00 -0000

ros-one-agni-tf-tools (0.1.1-0jammy) jammy; urgency=high

  * install header files for rviz properties
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 30 Oct 2018 00:00:00 -0000

=== debian/control ===
Source: ros-one-agni-tf-tools
Section: misc
Priority: optional
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, qtbase5-dev, ros-one-catkin, ros-one-roscpp, ros-one-rviz, ros-one-tf2-geometry-msgs, ros-one-tf2-ros
Homepage: http://wiki.ros.org/agni_tf_tools
Standards-Version: 3.9.2

Package: ros-one-agni-tf-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-roscpp, ros-one-rviz, ros-one-tf2-geometry-msgs, ros-one-tf2-ros
Description: This package provides a gui program as well as a rviz plugin to publish static transforms.
 Both support the transformation between various Euler angle representations. The rviz plugin also allows to configure the transform with an interactive marker.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-agni-tf-tools//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-agni-tf-tools 0.1.6-4jammy.20251215.2132

=== debian/changelog ===
ros-one-agni-tf-tools (0.1.6-4jammy.20251215.2132) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 15 Dec 2025 21:32:22 +0000

## ros-one-agni-tf-tools 0.1.6-4jammy.20260302.2125

=== debian/changelog ===
ros-one-agni-tf-tools (0.1.6-4jammy.20260302.2125) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 02 Mar 2026 21:25:44 +0000

## ros-one-agni-tf-tools 0.1.6-4noble.20251027.2138

=== debian/changelog ===
ros-one-agni-tf-tools (0.1.6-4noble.20251027.2138) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 27 Oct 2025 21:38:26 +0000

ros-one-agni-tf-tools (0.1.6-0noble) noble; urgency=high

  * Remove setStatus() variants
  * Cancel TF request if not needed anymore
  * Fix issue when publishing an unknown parent transform
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 14 Jul 2021 00:00:00 -0000

ros-one-agni-tf-tools (0.1.5-0noble) noble; urgency=high

  * Replace string-based SIGNALs with function pointers
  * Always show marker type property
  * EulerProperty: use QDoubleSpinBoxes (allowing animated motion)
  * Display: Fix several issues with frame updates
    * Always consider return value of fillPoseStamped() and don't publish on failure
    * On failure, register to TF changes to retry later
    * Finish tf2 transition: use tf2::BufferCore instead of tf::Transformer
  * Handle multiple TransformBroadcasters in the same ROS node.
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Apr 2020 00:00:00 -0000

ros-one-agni-tf-tools (0.1.4-0noble) noble; urgency=high

  * migration to tf2
  * modernize code
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 27 Mar 2020 00:00:00 -0000

ros-one-agni-tf-tools (0.1.3-0noble) noble; urgency=high

  * remove superfluous marker_node_
  * avoid spurious tf messages when display was saved in disabled state
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 27 Mar 2020 00:00:00 -0000

ros-one-agni-tf-tools (0.1.2-0noble) noble; urgency=high

  * fix compiler warnings
  * cmake: cleanup, correctly announce exported lib
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 07 Jun 2019 00:00:00 -0000

ros-one-agni-tf-tools (0.1.1-0noble) noble; urgency=high

  * install header files for rviz properties
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 30 Oct 2018 00:00:00 -0000

## ros-one-agni-tf-tools 0.1.6-4noble.20251215.2130

=== debian/changelog ===
ros-one-agni-tf-tools (0.1.6-4noble.20251215.2130) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 15 Dec 2025 21:30:48 +0000

## ros-one-agni-tf-tools 0.1.6-4noble.20260302.2136

=== debian/changelog ===
ros-one-agni-tf-tools (0.1.6-4noble.20260302.2136) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 02 Mar 2026 21:36:40 +0000
